aboutsummaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorRich Ercolani <[email protected]>2021-05-25 22:02:01 -0400
committerGitHub <[email protected]>2021-05-25 20:02:01 -0600
commitf172c3088f511038a50293a3640138419820062d (patch)
tree03b26080cb5ec6ffa6029a5ce9c911b7ad01e4fe /tests
parent211cee4fcf785935a94d038ee6656267adc2b223 (diff)
Correct flaws in arc_summary[23] and their test.
The change correctly handles BrokenPipeError and improves the associated tests. Reviewed-by: Brian Behlendorf <[email protected]> Reviewed-by: John Kennedy <[email protected]> Signed-off-by: Rich Ercolani <[email protected]> Closes #12037 Closes #12036
Diffstat (limited to 'tests')
-rwxr-xr-xtests/zfs-tests/tests/functional/cli_user/misc/arc_summary_001_pos.ksh3
1 files changed, 3 insertions, 0 deletions
diff --git a/tests/zfs-tests/tests/functional/cli_user/misc/arc_summary_001_pos.ksh b/tests/zfs-tests/tests/functional/cli_user/misc/arc_summary_001_pos.ksh
index a445fbb48..befbea986 100755
--- a/tests/zfs-tests/tests/functional/cli_user/misc/arc_summary_001_pos.ksh
+++ b/tests/zfs-tests/tests/functional/cli_user/misc/arc_summary_001_pos.ksh
@@ -48,6 +48,9 @@ else
set -A args "" "-a" "-d" "-p 1"
fi
+# Without this, the below checks aren't going to work the way we hope...
+set -o pipefail
+
typeset -i i=0
while [[ $i -lt ${#args[*]} ]]; do
log_must eval "arc_summary ${args[i]} > /dev/null"